Bug 458824 - Oprofile need to enable/disable all the counters for intel family 6
Oprofile need to enable/disable all the counters for intel family 6
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Markus Armbruster
Martin Jenner
:
Depends On: 426096
Blocks: 449772
  Show dependency treegraph
 
Reported: 2008-08-12 10:40 EDT by Markus Armbruster
Modified: 2009-01-20 15:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:21:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make oprofile enable all perf counters on intel family 6 (1.33 KB, patch)
2008-08-13 11:39 EDT, Markus Armbruster
no flags Details | Diff

  None (edit)
Comment 1 Markus Armbruster 2008-08-12 10:43:41 EDT
From Linus's tree:

commit 6b77df08a36d989f7dd00ccb6a026a0e96170d16
Author: Arun Sharma <arun.sharma@google.com>
Date:   Fri Sep 29 02:00:01 2006 -0700

    [PATCH] oprofile: ppro: need to enable/disable all the counters
    
    Need to enable/disable all the counters instead of just counter 0.
    
    This affects all cpus with family=6, including i386/core.  Usual symptom:
    only counter 0 provides samples.  Other counters don't produce samples.
    
    Signed-off-by: Arun Sharma <arun.sharma@google.com>
    Cc: Philippe Elie <phil.el@wanadoo.fr>
    Cc: John Levon <levon@movementarian.org>
    Signed-off-by: Andrew Morton <akpm@osdl.org>
    Signed-off-by: Linus Torvalds <torvalds@osdl.org>
Comment 2 Markus Armbruster 2008-08-13 11:36:58 EDT
The upstream commit mentioned in comment#1 does not apply cleanly, because it depends on this one:

commit cb9c448c661d40ce2efbce8e9c19cc4d420d8ccc
Author: Don Zickus <dzickus@redhat.com>
Date:   Tue Sep 26 10:52:26 2006 +0200

    [PATCH] i386: Utilize performance counter reservation framework in oprofile
    
    Incorporates the new performance counter reservation system in oprofile.
    Also cleans up a lot of the initialization code.  The code original zero'd
    out every register associated with performance counters regardless if those
    registers were used or not.  This causes issues with the nmi watchdog.
    Now oprofile tries to reserve registers and gives up if it can't get them.
    
    Cc: levon@movementarian.org
    Cc: oprofile-list@lists.sf.net
    
    Signed-off-by:  Don Zickus <dzickus@redhat.com>
    Signed-off-by: Andi Kleen <ak@suse.de>

which is just one part of a fairly invasive rework of the NMI watchdog.  I figure we just need parts of the initialization cleanup here.
Comment 3 Markus Armbruster 2008-08-13 11:39:36 EDT
Created attachment 314216 [details]
Make oprofile enable all perf counters on intel family 6
Comment 5 RHEL Product and Program Management 2008-08-13 11:42:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Don Zickus 2008-09-16 13:44:54 EDT
A fix for the bugzilla is included in the latest RHEL-5 kernel package.  The binary packages can be found at

http://people.redhat.com/dzickus/el5
Comment 12 errata-xmlrpc 2009-01-20 15:21:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.